import React from 'react';
import { Header } from './header';

describe('<Header />', () => {
  describe('when default', () => {
    test('should match snapshot', () => {
      const wrapper = shallow(<Header>Hi header</Header>);
      expect(wrapper).toMatchSnapshot();
    });
  });

  describe('when isWhite', () => {
    test('should match snapshot', () => {
      const wrapper = shallow(<Header isWhite>Hi header</Header>);
      expect(wrapper).toMatchSnapshot();
    });
  });

  describe('when isSolid', () => {
    test('should match snapshot', () => {
      const wrapper = shallow(<Header isSolid>Hi header</Header>);
      expect(wrapper).toMatchSnapshot();
    });
  });

  describe('when isStretched', () => {
    test('should match snapshot', () => {
      const wrapper = shallow(<Header isStretched>Hi header</Header>);
      expect(wrapper).toMatchSnapshot();
    });
  });
});
