import React from 'react';

export function IconBetService() {
  return (
    <svg xmlns="http://www.w3.org/2000/svg" width="42" height="48" viewBox="0 0 42 48">
      <defs>
        <linearGradient id="icon-bet-service-a" x1="76.381%" x2="24.024%" y1="86.979%" y2="13.522%">
          <stop offset="0%" stopColor="#9C27B0" />
          <stop offset="24%" stopColor="#A632B3" />
          <stop offset="66%" stopColor="#C150BB" />
          <stop offset="100%" stopColor="#DB6EC3" />
        </linearGradient>
        <linearGradient id="icon-bet-service-b" x1="17.173%" x2="94.211%" y1="87.652%" y2="30.814%">
          <stop offset="0%" stopColor="#FFF" />
          <stop offset="100%" stopColor="#FFF" stopOpacity="0" />
        </linearGradient>
        <linearGradient id="icon-bet-service-c" x1="83.148%" x2="6.277%" y1="4.032%" y2="64.203%">
          <stop offset="0%" stopColor="#FFF" />
          <stop offset="100%" stopColor="#FFF" stopOpacity="0" />
        </linearGradient>
        <radialGradient id="icon-bet-service-d" cx="41.404%" cy="40.723%" r="65.265%" fx="41.404%" fy="40.723%" gradientTransform="scale(1 .87296) rotate(-28.31 .532 .437)">
          <stop offset="0%" stopColor="#DB6EC3" stopOpacity=".8" />
          <stop offset="15%" stopColor="#DB6EC3" stopOpacity=".64" />
          <stop offset="45%" stopColor="#DB6EC3" stopOpacity=".37" />
          <stop offset="69%" stopColor="#DB6EC3" stopOpacity=".17" />
          <stop offset="89%" stopColor="#DB6EC3" stopOpacity=".05" />
          <stop offset="100%" stopColor="#DB6EC3" stopOpacity="0" />
        </radialGradient>
        <linearGradient id="icon-bet-service-e" x1="17.65%" x2="79.088%" y1="19.611%" y2="81.595%">
          <stop offset="0%" stopColor="#4A148C" />
          <stop offset="100%" stopColor="#4A148C" stopOpacity="0" />
        </linearGradient>
        <linearGradient id="icon-bet-service-f" x1="19.527%" x2="71.38%" y1="1.198%" y2="100.765%">
          <stop offset="0%" stopColor="#9C27B0" stopOpacity="0" />
          <stop offset="18%" stopColor="#9E27B0" stopOpacity=".03" />
          <stop offset="43%" stopColor="#A227B0" stopOpacity=".13" />
          <stop offset="71%" stopColor="#AA27B0" stopOpacity=".29" />
          <stop offset="100%" stopColor="#B427B0" stopOpacity=".5" />
        </linearGradient>
      </defs>
      <g fill="none" fillRule="evenodd">
        <path fill="url(#icon-bet-service-a)" d="M0 13v21.91a2 2 0 0 0 1 1.73l19 11a2 2 0 0 0 2 0l19-11a2 2 0 0 0 1-1.73V13a2 2 0 0 0-1-1.73l-19-11a2 2 0 0 0-2 0l-19 11A2 2 0 0 0 0 13z" />
        <path fill="url(#icon-bet-service-b)" fillOpacity=".6" d="M21 0v7L9.59 17.33.27 12a1.93 1.93 0 0 1 .73-.74l19-11A2 2 0 0 1 21 0z" />
        <path fill="url(#icon-bet-service-c)" fillOpacity=".2" d="M41.73 35.9a1.93 1.93 0 0 1-.71.71l-19 11a2 2 0 0 1-1 .27V36.66l13.2-5.15 7.51 4.39z" />
        <path fill="#7B1FA2" d="M4 33.18V14.7a1 1 0 0 1 .5-.86l16-9.24a1 1 0 0 1 1 0l16 9.24a1 1 0 0 1 .5.86v18.48a1 1 0 0 1-.5.86l-16 9.24a1 1 0 0 1-1 0L4.5 34a1 1 0 0 1-.5-.82z" />
        <path fill="url(#icon-bet-service-d)" d="M0 29.18V10.7a1 1 0 0 1 .5-.86L16.5.6a1 1 0 0 1 1 0l16 9.24a1 1 0 0 1 .5.86v18.48a1 1 0 0 1-.5.86l-16 9.24a1 1 0 0 1-1 0L.5 30a1 1 0 0 1-.5-.82z" transform="translate(4 4)" />
        <path fill="url(#icon-bet-service-e)" d="M38 27.49v5.69a1 1 0 0 1-.5.86L24.24 41.7 14.09 31.36l3.37-5.69 1.35-6.21 2.41-2.65 5.34-.81L38 27.49z" />
        <g fillRule="nonzero">
          <path fill="#FFF" d="M17.38 14.94h4.55a22.6 22.6 0 0 1 2.27.06 3.85 3.85 0 0 1 3.42 4.88 4.73 4.73 0 0 1-1.94 3 3.82 3.82 0 0 1 1 3.69 6.23 6.23 0 0 1-6.29 4.76h-6.3l3.29-16.39zM22 21.25A1.59 1.59 0 0 0 23.55 20a1 1 0 0 0-1-1.26h-1.89l-.5 2.5 1.84.01zm-.86 6.31a1.57 1.57 0 0 0 1.54-1.24 1 1 0 0 0-1-1.26H19.4l-.5 2.5h2.24z" />
          <path fill="url(#icon-bet-service-f)" d="M3.38.94h4.55A22.6 22.6 0 0 1 10.2 1a3.85 3.85 0 0 1 3.42 4.88 4.73 4.73 0 0 1-1.94 3 3.82 3.82 0 0 1 1 3.69 6.23 6.23 0 0 1-6.29 4.76H.09L3.38.94zM8 7.25A1.59 1.59 0 0 0 9.55 6a1 1 0 0 0-1-1.26H6.66l-.5 2.5L8 7.25zm-.86 6.31a1.57 1.57 0 0 0 1.54-1.24 1 1 0 0 0-1-1.26H5.4l-.5 2.5h2.24z" opacity=".596" transform="translate(14 14)" />
        </g>
      </g>
    </svg>
  );
}
