import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text } from '@storybook/addon-knobs';
import { Widget } from './widget';
import '../../theme/light.scss';

storiesOf('Widget', module)
  .addDecorator(withKnobs)
  .add('Widget', () => <Widget>{text('children', 'children content')}</Widget>);
