import PropTypes from 'prop-types';

import { callIfFunc } from '../../helpers/utils';

export const When = ({ children, condition }) => !!condition && callIfFunc(children);

When.propTypes = {
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.func]).isRequired,
  condition: PropTypes.any, // eslint-disable-line react/forbid-prop-types
};
