import { checkValidAmountValue } from './validate';

describe('#checkValidAmountValue', () => {
  test('if fraction exceed max', () => {
    expect(checkValidAmountValue(1.1234, 3)).toEqual(false);
  });

  test('if fraction not exceed max', () => {
    expect(checkValidAmountValue(1.123, 3)).toEqual(true);
  });

  test('if value is not number', () => {
    expect(checkValidAmountValue('qwe', 3)).toEqual(false);
  });
});
